<template>
    <div>
        <h2>
            {{ name }}
            <span style="cursor:pointer" @click="edit_node">
                <BIconPencilSquare
                    title="Editar"
                    style=" color: #ccc;
                            width: .65em;
                            height: .65em;
                            margin-bottom: 0.08em"
                />
            </span>
        </h2>
        <hr />
        <p v-html="HTMLdescription()" />
    </div>
</template>

<script>
import { BIconPencilSquare } from 'bootstrap-vue'

export default {
    name: 'NodeDetails',
    components: {
        BIconPencilSquare,
    },
    props: { current_node: {} },
    data() {
        return {
            name: '',
            description: '',
        }
    },
    watch: {
        current_node: function(new_node_data) {
            this.name = new_node_data.name
            this.description = new_node_data.description
        }
    },
    methods: {
        HTMLdescription: function() {
            return this.description.replace(/(?:\r\n|\r|\n)/g, '<br>')
        },
        edit_node: function() {
            this.$emit("editNode")
        }
    }
}
</script>

<style scoped>

</style>
